Home > SI 2015 Documentation > Knowledge Base > Cannot open SystemIntegratorCache.sdf

Cannot open SystemIntegratorCache.sdf

Symptoms

 

When attempting to so something in SI 2015 you get the following error:

 

Cannot open 'C:\Users\username\AppData\Roaming\D-Tools\SIX\Data\SystemIntegratorCache_64.sdf'. Provider 'System.Data.SqlServerCe.3.5' not installed.
Error: InvalidOperationException (DTools.SI.ClientServices.LocalCacheManager.GetSession) (DTools.SI.Projects.DrawingAddInHelper.SetSessionAndCheckPermissions) (DTools.SI.VisioAddIn.EventSink.VisEventProc) V6.0.477.0

Source: System.Data.Linq

StackTrace:
at System.Data.Linq.SqlClient.SqlProvider.System.Data.Linq.Provider.IProvider.Initialize(IDataServices dataServices, Object connection)
at System.Data.Linq.DataContext.Init(Object connection, MappingSource mapping)
at DTools.SI.ClientServices.LocalCacheManager.GetSession()
at DTools.SI.Projects.DrawingAddInHelper.SetSessionAndCheckPermissions(Boolean isVisio)
at DTools.SI.VisioAddIn.EventSink.VisEventProc(Int16 nEventCode, Object pSourceObj, Int32 nEventID, Int32 nEventSeqNum, Object pSubjectObj, Object vMoreInfo)

Message=Cannot open 'C:\Users\username\AppData\Roaming\D-Tools\SIX\Data\SystemIntegratorCache.sdf'. Provider 'System.Data.SqlServerCe.3.5' not installed.
Data=System.Collections.ListDictionaryInternal

Resolution

 

  1. In Windows, from the Control Panel open Programs and Features.
  2. Check to see if Microsoft SQL Server Compact 3.5 SP2 is installed (on 64-bit machines also verify that Microsoft SQL Server Compact 3.5 SP2 x64 is installed - both should be installed on a 64-bit machine):

 

File:SIX_Guide/005_Setup/Troubleshooting_-_Setup/Cannot_open_D-ToolsSIXDataSystemIntegratorCache.sdf/sql_ce_in_programs_and_features.jpg

 

  1. If they are installed, uninstall them.

 

File:SIX_Guide/005_Setup/Troubleshooting_-_Setup/Cannot_open_D-ToolsSIXDataSystemIntegratorCache.sdf/uninstall_sql_compact.jpg

 

  1. If one or both (on a 64-bit machine) are not installed, you can install them via the links below:

 

Microsoft SQL Server Compact 3.5 SP2

Microsoft SQL Server Compact 3.5 SP2 x64

 

On a 64-bit machine you must have both the 32-bit and 64-bit versions of SQL Server Compact 3.5 SP2 installed.

Contact Support

 

If you cannot resolve this issue, please open a Support Ticket.

Last modified
14:33, 9 Jun 2015

Tags

Classifications

This page has no classifications.